<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\MorphTo;

class File extends BaseModel
{
    public function fileable(): MorphTo
    {
        return $this->morphTo('fileable', 'fileable_type', 'fileable_uuid');
    }

    public function Category()
    {
        return $this->belongsTo(Category::class, 'category_uuid', 'uuid');
    }
}
